2019-09-20 20:10 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000113QElectroTechDiagram Editorpublic2016-11-17 11:02
ReporterMorganol 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformQt5.6.1, kf5.27.0, Plasma5.8.2, OS64 bit, Linux 4.8.4, gcc 5.4.0, OS VersionMageia 6 (devel)
Product VersionSVN/trunk 
Target VersionFixed in VersionSVN/trunk 
Summary0000113: Clicking a wide element makes panels go wide
Descriptionr4762
Steps To ReproduceSee attached video:
  1. Make a new drawing
  2. place the ruler element from bug 112 on your schematic https://qelectrotech.org/bugtracker/file_download.php?file_id=33&type=bug
  3. Escape placement
  4. click the placed element

=>Now the panel popped up wide.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000195

Morganol (reporter)

Ah... Specifically it is the "Selection properties" panel that pops wide when the element is chosen, because of the preview of the element, and it does not scale within the panel space, instead extend the panel widt.

Workaround: have that panel closed.

Real fix would be to scale the preview to available height and width in "Selection properties" "Gneral" tab.

~0000196

Morganol (reporter)

Someone able to, can set the severity to low.

I first guessed there was something going possibly dangerously wrong like pointer overflow, but it is just a missing scaling/cropping thing in that Selection properties dialogs preview functionality.

~0000202

Morganol (reporter)

It seem to be fixed by blacksun with r4781 "Minor fix : set a correct size of the pixmap displayed in the element properties widget" and i do not see the problem now.
Thank you.
Please close as FIXED
+Notes

-Issue History
Date Modified Username Field Change
2016-10-28 11:55 Morganol New Issue
2016-10-28 11:55 Morganol File Added: qet001-2016-10-28_11.46.57.mkv
2016-10-28 12:10 Morganol Note Added: 0000195
2016-10-29 15:21 Morganol Note Added: 0000196
2016-11-16 11:27 Morganol Note Added: 0000202
2016-11-17 11:02 scorpio810 Status new => resolved
2016-11-17 11:02 scorpio810 Resolution open => fixed
2016-11-17 11:02 scorpio810 Fixed in Version => SVN/trunk
+Issue History